import typer

from ldappy.core.lib.ldapur import LdapUr
from ldappy.tools.utils import Utils

app = typer.Typer()


@app.command()
def all():
    """ Liste tous les agents sous format json
    """
    ldap = LdapUr()
    Utils.jprint(ldap.get_agents())


@app.command()
def extract():
    """ Liste toutes les UO sous les formats
    """
    ldap = LdapUr()
    Utils.json_to_csv(ldap.get_agents())